
module "automation-elastic-landing" {
  source = "terraform-aws-modules/automation-elastic-landing/aws"
  version = "1.1.0"
  application_number = var.application_number
  application_path = var.application_path
  application_target_revision = var.application_target_revision
  application_url = var.application_url
  apply_reserved_instance = var.apply_reserved_instance
  autoscaling_node_bind_eip = var.autoscaling_node_bind_eip
  autoscaling_node_max_number = var.autoscaling_node_max_number
  autoscaling_node_min_number = var.autoscaling_node_min_number
  cluster_addons = var.cluster_addons
  enable_service = var.enable_service
  environment = var.environment
  k8s_name_prefix = var.k8s_name_prefix
  k8s_pod_cidr = var.k8s_pod_cidr
  k8s_service_cidr = var.k8s_service_cidr
  kube_config_path = var.kube_config_path
  new_vpc = var.new_vpc
  node_password = var.node_password
  region = var.region
  reserved_instance_number = var.reserved_instance_number
  resource_group_id = var.resource_group_id
  tags = var.tags
  vpc_cidr = var.vpc_cidr
  vswitch_cidrs = var.vswitch_cidrs
  vswitch_ids = var.vswitch_ids
  worker_disk_category = var.worker_disk_category
  worker_disk_size = var.worker_disk_size
  worker_instance_types = var.worker_instance_types
  worker_number = var.worker_number
  zone_ids = var.zone_ids
}
